#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int stepen(int p,int x);
     int A,B,C,a,b,c,e=0,p=0,q=0;
    unsigned long long a1,b1,c1,a2,b2,c2,s=0;
    scanf("%d%d%d",&A,&B,&C);
    a=A;
    b=B;
    c=C;
    while(a!=0){
        e++;
        a/=10;
    }
      while(b!=0){
        p++;
        b/=10;
    }
      while(c!=0){
        q++;
        c/=10;
    }
    a1=(A*pow(10,p)+B)*stepen(10,q)+C;
    b1=(B*pow(10,e)+A)*stepen(10,q)+C;
    c1=(C*pow(10,e)+A)*stepen(10,p)+B;
    a2=(A*pow(10,q)+C)*stepen(10,p)+B;
    b2=(B*pow(10,q)+C)*stepen(10,e)+A;
    c2=(C*pow(10,p)+B)*stepen(10,e)+A;
   unsigned long long niz[6];
    niz[0]=a1;
    niz[1]=b1;
    niz[2]=c1;
    niz[3]=a2;
    niz[4]=b2;
    niz[5]=c2;
    for(int i=0;i<6;i++){
        if(s<niz[i]){
            s=niz[i];
        }
    }
    printf("%llu",s);
    return 0;
}
int stepen(int p,int x){
int s=1;
for(int i=1;i<=x;i++){
    s*=p;
}
return s;
}